$(document).ready(function(){
	$('#uploadItem').bind({
		change: function() {
//			alert('123');
			$.each(this.files, function(i, file) {
				//   
				var imageType = /image.*/;
				if (!file.type.match(imageType)) {
					alert('   ');
					return true;
				}
				sendResized(file, 500);
			})
			
			$('#uploadItem').val('');
		}
	});
})


function sendResized(file, maxWidth=0){
		
var reader = new FileReader();
    reader.onload = function() {
	
	//     ,   2000px
	if (maxWidth == 0)
		maxWidth = 2000;
 
    var tempImg = new Image();
    tempImg.src = reader.result;
    tempImg.onload = function() {
		
		//    
        var tempW = tempImg.width;
        var tempH = tempImg.height;
        if (tempW > tempH) {
            if (tempW > maxWidth) {
               tempH *= maxWidth / tempW;
               tempW = maxWidth;
            }
        }else{
            if (tempH > maxWidth) {
               tempW *= maxWidth / tempH;
               tempH = maxWidth;
            }
        }
		tempW = Math.round(tempW);
        tempH = Math.round(tempH);
		
		//  
        var canvas = document.createElement('canvas');
        canvas.width = tempW;
        canvas.height = tempH;
        var ctx = canvas.getContext("2d");
        ctx.drawImage(this, 0, 0, tempW, tempH);
        dataURL = canvas.toDataURL();
		canvas.toBlob(function(blob) {
			//     
			//    FormData
			var data = new FormData();
			//    
			data.append('uploaded-file', blob);
			//   
			$.ajax({
				url: 'upload.php',
				data: data,
				cache: false,
				contentType: false,
				processData: false,
				type: 'POST',
				success: function(ans){
					$('#uploadForm').append(ans+'<br />')
				}
			});
			
		});	
      }
   }
   reader.readAsDataURL(file);	
}

// ToBlob
(function(a){"use strict";var b=a.HTMLCanvasElement&&a.HTMLCanvasElement.prototype,c=function(){try{return!!(new Blob)}catch(a){return!1}}(),d=a.BlobBuilder||a.WebKitBlobBuilder||a.MozBlobBuilder||a.MSBlobBuilder,e=(c||d)&&a.atob&&a.ArrayBuffer&&a.Uint8Array&&function(a){var b,e,f,g,h,i;a.split(",")[0].indexOf("base64")>=0?b=atob(a.split(",")[1]):b=decodeURIComponent(a.split(",")[1]),e=new ArrayBuffer(b.length),f=new Uint8Array(e);for(g=0;g<b.length;g+=1)f[g]=b.charCodeAt(g);return i=a.split(",")[0].split(":")[1].split(";")[0],c?new Blob([e],{type:i}):(h=new d,h.append(e),h.getBlob(i))};a.HTMLCanvasElement&&!b.toBlob&&(b.mozGetAsFile?b.toBlob=function(a,b){a(this.mozGetAsFile("blob",b))}:b.toDataURL&&e&&(b.toBlob=function(a,b){a(e(this.toDataURL(b)))})),typeof define!="undefined"&&define.amd?define(function(){return e}):a.dataURLtoBlob=e})(this);
